## gnupg2 2.4.5

=== debian/changelog ===
gnupg2 (2.4.5-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * Team upload.
  * Demote gnupg metapackage dependency on gpg-wks-server to Suggests since it
    pulls in an MTA. Closes: #1070879
  * Build with --enable-maintainer-mode and re-add b-d on librsvg2-bin.
  * Merge unstable changelog.
  * Drop b-d on transfig, it is provided by fig2dev.
  * Add patches to avoid setting AEAD: OCB key-preference on generated keys
    and to avoid using OCB-mode even if AEAD: OCB key preference is set
    on recipient key.
  * Version imagemagick b-d to prevent installation of
    graphicsmagick-imagemagick-compat instead.
  * Fix blhc test with 'blhc: ignore-line-regexp'.
  * Disable piuparts CI test, it is thrown by having to test upgrade/downgrade
    (because some parts of gpg are installed by default) with additional
    compilation that the package set has grown by keyboxd.

  [ Daniel Kahn Gillmor ]
  * Standards-Version: bump to 4.7.0 (no changes needed)
  * d/copyright: Update dates, add Andreas Metzler for debian/*
  * d/changelog: correct old misspelling of "ghostscript"
  * Generate documentation artifacts from source, respecting nodoc
  * Stop shipping upstream ChangeLog (/usr/share/doc/*/changelog.gz)
  * Use debian standard UnicodeData.txt
  * Rebuild generated header files in common/
  * Strip Changelog-2011 files when building too
  * Restore nl.po
  * Enable Salsa-Ci (MR !16 by Otto Kekäläinen)
  * Port scripts from bash to /bin/sh (MR !10 by
    наб <nabijaczleweli@nabijaczleweli.xyz>).
  * Move the gnupg package into the metapackages section.
  * Move gpgv, gnupg-utils, and gpg-wks-client from Depends into Recommends
    of gnupg.
  * Stop pointing VCS-GIT at non-existent debian/main branch. (MR !12 by наб
    <nabijaczleweli@nabijaczleweli.xyz>)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 20 May 2024 11:00:57 +0200

gnupg2 (2.4.5-1) experimental; urgency=low

  * Team upload.
  * New upstream version.
    + Drop spelling-fixes.diff, included upstream.
  * [lintian] B-d on pkgconf instead of pkg-config.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Mar 2024 11:16:01 +0100

gnupg2 (2.4.4-4) experimental; urgency=low

  * Team upload.
  * Turn debian/gnupg-l10n.install into an executable that parses
    $DEB_BUILD_PROFILES. This seems to be the only working solution to avoid
    bad interaction of dh_install/dh_missing with nodoc.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Mar 2024 14:40:53 +0100

gnupg2 (2.4.4-3) experimental; urgency=low

  * Team upload.
  * gpgcompose cleanup, drop orphaned manpage and mention in package
    description.
  * Fix autopkgtests, mr!14. (Thanks, Julian Andres Klode)
  * Add support for nodoc build-profile to ease bootstrapping.
    Closes: #980768

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Mar 2024 09:13:09 +0100
