## gnupg2 2.4.7

=== debian/changelog ===
gnupg2 (2.4.7-15) unstable; urgency=medium

  [ Andreas Metzler ]
  * Fix typo in gpg's README.Debian
  * Skip debian-archive-trixie-stable.gpg in ci migration test
  * Add NEWS entry for smartcard related changes in 2.4. (Closes: #1102717)

  [ Daniel Kahn Gillmor ]
  * d/tests/migration: use *.pgp instead of *.gpg

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Apr 2025 23:06:01 -0400

gnupg2 (2.4.7-14) unstable; urgency=medium

  * gpgv: Avoid dependencies on npth and libassuan
    (Closes: #1102621)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Apr 2025 18:50:53 -0400

gnupg2 (2.4.7-13) unstable; urgency=medium

  * Release to unstable
  * d/tests/verify-openpgp: allow stderr
  * override warning about FreePG README
  * d/changelog: merging in old entries

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Apr 2025 15:12:43 -0400

gnupg2 (2.4.7-12) experimental; urgency=medium

  * d/tests/verify-openpgp: add test to ensure default output of
    OpenPGP-compatible data
  * Standards-Version: bump to 4.7.2 (no changes needed)
  * Forward no-keyboxd.patch upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 08 Apr 2025 13:20:39 -0400

gnupg2 (2.4.7-11) experimental; urgency=medium

  * Drop duplicate systemd-user files in gnupg/examples/
  * Add CVE number to 2.4.7-5 changelog entry
  * Also remove duplicate dirmngr and keyboxd systemd files
  * Formatting fixes for migrate-pubring-from-classic-gpg.1
    (Thanks to Bjarni Ingi Gislason) Closes: #1100793
  * Revert FreePG patch for CSF newline cleanup. Closes: #1101011

 -- Andreas Metzler <ametzler@debian.org>  Mon, 31 Mar 2025 18:04:35 +0200

gnupg2 (2.4.7-10) experimental; urgency=medium

  * Do not set use-keyboxd when initializing ~/.gnupg/ (Patch copied from
    Ubuntu.)
  * Patch from -7 (Verify text-mode signatures ...) included in FreePG,
    rename.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 17 Mar 2025 18:22:04 +0100

gnupg2 (2.4.7-9) experimental; urgency=medium

  * avoid a double-free (pulled from STABLE-BRANCH-2-4 upstream)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 13 Mar 2025 10:12:31 -0400

gnupg2 (2.4.7-8) experimental; urgency=medium

  * Avoid regression on sig verification for expired or revoked keys
    (Closes: #1099141)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 07 Mar 2025 13:54:17 -0500

gnupg2 (2.4.7-7) experimental; urgency=medium

  * Merge FreePG changes
  * Support large RSA keygen in non-batch mode (following FreePG)
  * Verify text-mode signatures over binary literal data packets

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Mar 2025 16:25:05 -0500

gnupg2 (2.4.7-6) experimental; urgency=medium

  * refresh patches from FreePG (adopted OpenPGP compliance)
  * refresh non-FreePG patches
  * lintian-override for filename of distsigkey.gpg
  * override Lintian warning about unused FreePG gitlab CI

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 26 Feb 2025 17:21:31 -0500

gnupg2 (2.4.7-5) experimental; urgency=medium

  [ Andreas Metzler ]
  * Refresh patches from FreePG
  * Two more patches accepted by FreePG, adapt patch series.

  [ Daniel Kahn Gillmor ]
  * Align CSF generation and verification with standard
  * Avoid DoS on signature verification. CVE-2025-30258

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 21 Feb 2025 17:24:15 -0500

gnupg2 (2.4.7-4) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Note relationship between tpm2daemon and gpg-agent
  * patch 21: use git format-patch style attribution
  * keyboxd.socket: drop FileDescriptorName, not needed
  * override lintian tag spare-manual-page on keyboxd.1
  * drop GSM_SKIP_SSH_AGENT_WORKAROND hack

  [ Andreas Metzler ]
  * block-ptrace-on-secret-daemons accepted into FreePG, rename.
  * Tag patch as forwarded

  [ Daniel Kahn Gillmor ]
  * move keyboxd into the gpg package (Closes: #1095451)
  * Emit only OpenPGP artifacts by default
  * Modernize reasoning for KOO as default keyserver
  * consolidate ssh-agent emulation socket changes in snyc with FreePG proposal
  * Disallow compressed signatures and certificates: point to FreePG proposal

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 08 Feb 2025 01:26:40 -0500

gnupg2 (2.4.7-3) experimental; urgency=medium

  [ Jonathan McDowell ]
  * Enable tpm2daemon for TPM backed keys (Closes: #1058571)

  [ Daniel Kahn Gillmor ]
  * Stop shipping CA certificate for SKS pool
  * Disallow compressed signatures and certificates (thanks, Demi Marie
    Obenour!)
  * swtpm is only needed during build for tests
  * tpm2daemon: tweak grammar in package description
  * run tests serially due to TPM port collisions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 28 Jan 2025 18:17:36 -0500

gnupg2 (2.4.7-2) experimental; urgency=medium

  [ Richard Hansen ]
  * debian/control: Allow backported libgpg-error-mingw-w64-dev
  * debian/Xsession.d/90gpg-agent: Add comment explaining GPG_AGENT_INFO
  * gpg-agent.socket: Set GPG_AGENT_INFO in systemd for gnupg1

  [ Daniel Kahn Gillmor ]
  * use FreePG variants of relevant patches
  * move the FreePG patches to the beginning
  * refresh FreePG

  [ Andreas Metzler ]
  * Enable freepg patch Ship-sample-systemd-unit-files.patch
  * Import keyboxd systemd support files into a patch
  * Import improvements to systemd files into patches
  * Use/install systemd files from (patched) source.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Jan 2025 13:25:38 +0100

gnupg2 (2.4.7-1) experimental; urgency=medium

  * New upstream version.
    + Drop cherry-picked patch.
    + Fixes change of binary representation of Ed25519 OpenPGP signature
      packets on export/import. Closes: #1087821

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Nov 2024 11:49:02 +0100

gnupg2 (2.4.6-1) experimental; urgency=medium

  * New upstream version.
  * Drop superfluous patches
    001-gpg-Minor-fix-when-building-with-disable-exec.patch and
    restore-nl.po.patch .

