=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  Eric Dorland <eric@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
-Standards-Version: 4.7.0
+ Andreas Metzler <ametzler@debian.org>,
+Standards-Version: 4.7.2
 Build-Depends:
+ debhelper-compat (= 13),
  automake,
  autopoint,
- debhelper-compat (= 13),
  fig2dev <!nodoc>,
  file,
  gettext,
@@ -27,9 +28,11 @@
  libreadline-dev,
  librsvg2-bin <!nodoc>,
  libsqlite3-dev,
+ libtss2-dev,
  libusb-1.0-0-dev [!hurd-any],
  openssh-client <!nocheck>,
  pkgconf,
+ swtpm <!nocheck>,
  texinfo <!nodoc>,
  unicode-data,
  zlib1g-dev | libz-dev,
@@ -37,7 +40,7 @@
  binutils-multiarch [!amd64 !i386],
  libassuan-mingw-w64-dev (>= 2.5.0),
  libgcrypt-mingw-w64-dev (>= 1.9.1),
- libgpg-error-mingw-w64-dev (>= 1.46),
+ libgpg-error-mingw-w64-dev (>= 1.50-4~),
  libksba-mingw-w64-dev (>= 1.6.3),
  libnpth-mingw-w64-dev (>= 1.2),
  libz-mingw-w64-dev,
@@ -98,6 +101,7 @@
  libpam-systemd,
  pinentry-gnome3,
  scdaemon,
+ tpm2daemon,
 Replaces:
  gnupg-agent (<< 2.1.21-4),
 Breaks:
@@ -221,8 +225,12 @@
  ${shlibs:Recommends},
 Breaks:
  gnupg (<< 2.1.21-4),
+ keyboxd (<< 2.4.7-4),
 Replaces:
  gnupg (<< 2.1.21-4),
+ keyboxd (<< 2.4.7-4),
+Provides:
+ keyboxd (= ${binary:Version}),
 Description: GNU Privacy Guard -- minimalist public key operations
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -249,8 +257,6 @@
  gpg-agent (>= ${source:Version}),
  gpgsm (<< ${source:Version}.1~),
  gpgsm (>= ${source:Version}),
- keyboxd (<< ${source:Version}.1~),
- keyboxd (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -355,26 +361,22 @@
  among other tools.  Unless this package is installed, the parts of
  the GnuPG suite that try to interact with the network will fail.
 
-Package: keyboxd
-Architecture: any
-Multi-Arch: foreign
-Depends:
- gpgconf (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- gnupg (= ${source:Version}),
+Package: tpm2daemon
+Architecture: any
+Multi-Arch: foreign
+Depends:
+ gpgconf (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ gnupg (= ${binary:Version}),
  ${shlibs:Recommends},
 Suggests:
  dbus-user-session,
  libpam-systemd,
-Description: GNU privacy guard - public key material service
- GnuPG is GNU's tool for secure communication and data storage.
- It can be used to encrypt data and to create digital signatures.
- It includes an advanced key management facility and is compliant
- with the proposed OpenPGP Internet standard as described in RFC4880.
- .
- keyboxd is a server for managing public key material of OpenPGP and
- S/MIME.
-
-Package: gpgv-udeb
+Enhances:
+ gpg-agent,
+Description: GNU privacy guard - TPM2 support
+ GnuPG is GNU's tool for secure communication and data storage.
+ It can be used to encrypt data and to create digital signatures.
+ It includes an advanced key management facility and is compliant
