## gnupg2 2.4.8

=== debian/changelog ===
gnupg2 (2.4.8-4) unstable; urgency=medium

  * Make OpenPGP compliance mode require a self-sig for each UID
  * debian/watch: move to version 5
  * Drop Rules-Requires-Root: no (now the default)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 22 Oct 2025 16:39:23 -0400

gnupg2 (2.4.8-3) unstable; urgency=low

  [ Pino Toscano ]
  * Restrict the TPM integration to Linux, as it is available mostly there:
    - limit the libtss2-dev build dependency as linux-any
    - set the architecture of the tpm2daemon binary package as linux-any
    - suggest tpm2daemon in gpg-agent only on Linux
  * Enable the libusb-1.0-0-dev build dependency also on Hurd, as it is
    available now.
  * Limit the libpam-systemd suggest in gpg-agent, and dirmngr as linux-any,
    as systemd exists only on Linux.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 Aug 2025 17:55:06 +0200

gnupg2 (2.4.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 13:45:57 +0200

gnupg2 (2.4.8-1) experimental; urgency=medium

  * New upstream version.
  * Drop cherry-picked patches, unfuzz.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Jun 2025 14:12:41 +0200

gnupg2 (2.4.7-21) unstable; urgency=medium

  * update Dutch po file (Closes: #1104540)
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Jun 2025 06:45:25 +0200

gnupg2 (2.4.7-20) experimental; urgency=medium

  * Add Built-Using/Static-Built-Using data for gpgv-static
    (Thanks, Aurelien Jarno) Closes: #1106800
  * Also set Built-Using for gpgv-win32

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 May 2025 12:55:36 +0200

gnupg2 (2.4.7-19) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 14 May 2025 06:22:05 +0200

gnupg2 (2.4.7-18) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Handle certification-only pubkeys correctly (Closes: #1101007)

  [ Andreas Metzler ]
  * Cherry-pick fixes from upstream STABLE-BRANCH-2-4:
    + Fix key generation with existing key from card.
      (2.4.7 regression) https://dev.gnupg.org/T7457
    + gpgconf: Fix reload and kill of keyboxd
      https://dev.gnupg.org/T7569
    + keyboxd: Convert upper-case email-address search string to lower-case
      https://dev.gnupg.org/T7576
    + Fix use of undefined behavior in ksba-io-support.c
      (Use memchr since calling strchr on a non-NUL terminated string is
      undefined behavior.)
    + Fix --list-filter select='disabled-f'.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 May 2025 13:04:10 +0200

gnupg2 (2.4.7-17) unstable; urgency=medium

  * re-enable piuparts in salsa-ci, keyboxd package is no more.
  * disable missing-breaks salsa ci. (fp: gpg-from-sq)
  * Add pkg.gnupg2.gpgvonly build profile. (Thanks, Helmut Grohne)
    Closes: #1104210

 -- Andreas Metzler <ametzler@debian.org>  Mon, 28 Apr 2025 18:13:47 +0200

gnupg2 (2.4.7-16) unstable; urgency=medium

  * Hardcode the list of archs where swtpm is available (Closes: #1103931)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Apr 2025 16:19:09 +0200
