=== debian/control ===
--- 
+++ 
@@ -7,8 +7,11 @@
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Andreas Metzler <ametzler@debian.org>,
 Standards-Version: 4.7.2
+# update swptm arch list with
+# rmadison -s sid swtpm | sed -e 's/.* source, //' -e 's/,//g'
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-builtusing,
  automake,
  autopoint,
  fig2dev <!nodoc>,
@@ -23,36 +26,36 @@
  libgnutls28-dev (>= 3.2),
  libgpg-error-dev (>= 1.46),
  libksba-dev (>= 1.6.3),
- libldap2-dev,
+ libldap2-dev <!pkg.gnupg2.gpgvonly>,
  libnpth0-dev (>= 1.2),
- libreadline-dev,
+ libreadline-dev <!pkg.gnupg2.gpgvonly>,
  librsvg2-bin <!nodoc>,
- libsqlite3-dev,
- libtss2-dev,
- libusb-1.0-0-dev [!hurd-any],
- openssh-client <!nocheck>,
+ libsqlite3-dev <!pkg.gnupg2.gpgvonly>,
+ libtss2-dev [linux-any] <!pkg.gnupg2.gpgvonly>,
+ libusb-1.0-0-dev <!pkg.gnupg2.gpgvonly>,
+ openssh-client <!nocheck !pkg.gnupg2.gpgvonly>,
  pkgconf,
- swtpm <!nocheck>,
+ swtpm [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x] <!nocheck !pkg.gnupg2.gpgvonly>,
  texinfo <!nodoc>,
  unicode-data,
  zlib1g-dev | libz-dev,
 Build-Depends-Indep:
- binutils-multiarch [!amd64 !i386],
- libassuan-mingw-w64-dev (>= 2.5.0),
- libgcrypt-mingw-w64-dev (>= 1.9.1),
- libgpg-error-mingw-w64-dev (>= 1.50-4~),
- libksba-mingw-w64-dev (>= 1.6.3),
- libnpth-mingw-w64-dev (>= 1.2),
- libz-mingw-w64-dev,
- mingw-w64,
+ binutils-multiarch [!amd64 !i386] <!pkg.gnupg2.gpgvonly>,
+ libassuan-mingw-w64-dev (>= 2.5.0) <!pkg.gnupg2.gpgvonly>,
+ libgcrypt-mingw-w64-dev (>= 1.9.1) <!pkg.gnupg2.gpgvonly>,
+ libgpg-error-mingw-w64-dev (>= 1.50-4~) <!pkg.gnupg2.gpgvonly>,
+ libksba-mingw-w64-dev (>= 1.6.3) <!pkg.gnupg2.gpgvonly>,
+ libnpth-mingw-w64-dev (>= 1.2) <!pkg.gnupg2.gpgvonly>,
+ libz-mingw-w64-dev <!pkg.gnupg2.gpgvonly>,
+ mingw-w64 <!pkg.gnupg2.gpgvonly>,
 Vcs-Git: https://salsa.debian.org/debian/gnupg2.git
 Vcs-Browser: https://salsa.debian.org/debian/gnupg2
 Homepage: https://www.gnupg.org/
-Rules-Requires-Root: no
 
 Package: gpgconf
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -74,6 +77,7 @@
 Architecture: all
 Section: oldlibs
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  gpg-agent (>= ${source:Version}),
  ${misc:Depends},
@@ -88,6 +92,7 @@
 Package: gpg-agent
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  gpgconf (= ${binary:Version}),
  pinentry-curses | pinentry,
@@ -98,10 +103,10 @@
  ${shlibs:Recommends},
 Suggests:
  dbus-user-session,
- libpam-systemd,
+ libpam-systemd [linux-any],
  pinentry-gnome3,
  scdaemon,
- tpm2daemon,
+ tpm2daemon [linux-any],
 Replaces:
  gnupg-agent (<< 2.1.21-4),
 Breaks:
@@ -124,6 +129,7 @@
 Package: gpg-wks-server
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  default-mta | mail-transport-agent,
  gpg (= ${binary:Version}),
@@ -151,6 +157,7 @@
 Package: gpg-wks-client
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  dirmngr (= ${binary:Version}),
  gpg (= ${binary:Version}),
@@ -178,6 +185,7 @@
 Package: scdaemon
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  gpg-agent (= ${binary:Version}),
  ${misc:Depends},
@@ -196,6 +204,7 @@
 Package: gpgsm
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  gpgconf (= ${binary:Version}),
  ${misc:Depends},
@@ -216,6 +225,7 @@
 Package: gpg
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  gpgconf (= ${binary:Version}),
  ${misc:Depends},
@@ -247,6 +257,7 @@
 Architecture: all
 Section: metapackages
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  dirmngr (<< ${source:Version}.1~),
  dirmngr (>= ${source:Version}),
@@ -296,6 +307,7 @@
 Architecture: all
 Section: oldlibs
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  gnupg (>= ${source:Version}),
  ${misc:Depends},
@@ -331,6 +343,7 @@
 Package: dirmngr
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
  adduser,
  gpgconf (= ${binary:Version}),
@@ -345,38 +358,10 @@
  squid,
 Suggests:
  dbus-user-session,
- libpam-systemd,
+ libpam-systemd [linux-any],
  pinentry-gnome3,
  tor,
 Description: GNU privacy guard - network certificate management service
  dirmngr is a server for managing and downloading OpenPGP and X.509
  certificates, as well as updates and status signals related to those
  certificates.  For OpenPGP, this means pulling from the public
- HKP/HKPS keyservers, or from LDAP servers.  For X.509 this includes
- Certificate Revocation Lists (CRLs) and Online Certificate Status
- Protocol updates (OCSP).  It is capable of using Tor for network
- access.
- .
- dirmngr is used for network access by gpg, gpgsm, and dirmngr-client,
- among other tools.  Unless this package is installed, the parts of
- the GnuPG suite that try to interact with the network will fail.
-
-Package: tpm2daemon
-Architecture: any
-Multi-Arch: foreign
-Depends:
- gpgconf (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- gnupg (= ${binary:Version}),
- ${shlibs:Recommends},
-Suggests:
- dbus-user-session,
- libpam-systemd,
-Enhances:
- gpg-agent,
-Description: GNU privacy guard - TPM2 support
- GnuPG is GNU's tool for secure communication and data storage.
- It can be used to encrypt data and to create digital signatures.
- It includes an advanced key management facility and is compliant
