=== debian/watch ===
Version: 5
Source: https://gnupg.org/ftp/gcrypt/gnupg/
Matching-Pattern: gnupg-(2\.4\.[0-9]+)@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.sig/
