## gnupg2 2.4.9

=== debian/changelog ===
gnupg2 (2.4.9-3) experimental; urgency=medium

  * Update to STABLE-BRANCH-2-4 HEAD.
  * Add explicit build-dependency on libc-dev-bin.  (Needed for future
    versions of dh_builtusing.) See
    https://alioth-lists.debian.net/pipermail/pkg-gnupg-maint/2025-November/010393.html

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Feb 2026 15:30:18 +0100

gnupg2 (2.4.9-2) experimental; urgency=low

  [ Andreas Metzler ]
  * Update gpg.fail Debian status info.
  * Highlight/exclude minisign issues.
  * Add accelerator keys for "Wrong" and "Correct".
    Patch from uostream GIT master. (Closes: #1126259)
  * Fix stack-based buffer overflow in tpm2daemon.  CVE-2026-24882 Patches
    (bugfix and regression) from upstream GIT master. (Closes: #1126631)

  [ Luca Boccassi ]
  * dirmngr: drop unused adduser dependency.
    None of the adduser binaries are used anymore, drop the dependency.
    The postinst that used it was removed shortly after it was
    introduced, by commit 279bf10f4e0ccf238710a0f9881e79f16420bcb4

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Feb 2026 15:27:53 +0100

gnupg2 (2.4.9-1) experimental; urgency=medium

  * new upstream release
  * refresh patches, align with FreePG 2.4 series

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Dec 2025 12:14:10 -0500

gnupg2 (2.4.8-6) experimental; urgency=medium

  * gpg: Do not use a default when asking for another output filename.
    https://gpg.fail/filename #2
    Unfuzzed patch from GIT master
  * Write up gpg.fail status in debian/gpg.fail.md
  * agent: Fix a memory leak.
    Patch from STABLE-BRANCH-2-4
  * Use CVE-2025-68973 patch from STABLE-BRANCH-2-4.
    Replace backported patchset from master with the
    newly available one on STABLE-BRANCH-2-4.
  * Upload to experimental to avoid delaying propagation of -5 to trixie.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 30 Dec 2025 15:29:50 +0100

gnupg2 (2.4.8-5) unstable; urgency=high

  [ Salvatore Bonaccorso ]
  * common: Reformat some comments in iobuf.c
  * gpg: Fix possible memory corruption in the armor parser (CVE-2025-68973)
    (Closes: #1124221) https://gpg.fail/memcpy #5

  [ Andreas Metzler ]
  * Avoid potential downgrade to SHA1 in 3rd party key signatures.
    https://gpg.fail/sha1 #12
    Patch from STABLE-BRANCH-2-4
  * gpg: Error out on unverified output for non-detached signatures.
    https://gpg.fail/detached #1
    Patch from STABLE-BRANCH-2-4

 -- Andreas Metzler <ametzler@debian.org>  Mon, 29 Dec 2025 18:03:49 +0100
