=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Eric Dorland <eric@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Andreas Metzler <ametzler@debian.org>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 # update swptm arch list with
 # rmadison -s sid swtpm | sed -e 's/.* source, //' -e 's/,//g'
 Build-Depends:
@@ -22,6 +22,8 @@
  imagemagick (>= 0.1) <!nodoc>,
  libassuan-dev (>= 2.5.0),
  libbz2-dev,
+# for dh_builtusing
+ libc-dev-bin,
  libgcrypt20-dev (>= 1.9.1),
  libgnutls28-dev (>= 3.2),
  libgpg-error-dev (>= 1.46),
@@ -345,7 +347,6 @@
 Multi-Arch: foreign
 Build-Profiles: <!pkg.gnupg2.gpgvonly>
 Depends:
- adduser,
  gpgconf (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
